Loading...
Searching...
No Matches
osmium::StringMatcher::always_false Class Reference

`#include <string_matcher.hpp>`

Inheritance diagram for osmium::StringMatcher::always_false:
[legend]
Collaboration diagram for osmium::StringMatcher::always_false:
[legend]

## Public Member Functions

template<typename TChar , typename TTraits >
void | print (std::basic_ostream< TChar, TTraits > &out) const

## Static Public Member Functions

static bool | match (const char *) noexcept

## Detailed Description

Never matches.

## Member Function Documentation

## match()

static bool osmium::StringMatcher::always_false::match | ( | const char * |  | ) |

inline static noexcept

## print()

template<typename TChar , typename TTraits >

void osmium::StringMatcher::always_false::print | ( | std::basic_ostream< TChar, TTraits > & | out | ) | const

inline

The documentation for this class was generated from the following file:

- include/osmium/util/string_matcher.hpp